Skip to main content

Update properties of a unit

PATCH 

/nevisidm/api/core/v1/:clientExtId/units/:extId/properties

Since: 2.79.0

Required permission(s): AccessControl.UnitView,AccessControl.UnitModify,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView,AccessControl.PropertyValueCreate,AccessControl.PropertyValueDelete,AccessControl.PropertyValueModify

Updates the property values of the unit with the given external ID.

Properties provided in the request body are created or updated. Existing properties not included in the request body remain unchanged. The response contains all current property values after the update.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the unit.

    Example: unit-123

Body

required
    property name* string

Responses

Unit properties updated successfully

Schema
    property name* string
Loading...